; File for SOP-ASM.ASM

		.def _sop

		.sect "code"
_sop:
;    Initialize the two pointers to data and coeffs.
;    Note that XAR4 and XAR5 contain data[] and coeffs[].
;    XAR7 must point to one of these arrays in order to use MAC.
		MOVL    XAR7, XAR5      ; XAR7 points to coeff[0]
		MOV     AR5, AL         ; Move n from ACC to AR5 (loop counter)
		SUBB    XAR5, #1        ; subtract 1 to make loop counter = n-1

;    initialize sign extension mode and product shift mode
                SETC    SXM             ; set sign extension mode
                SPM     0               ; set product shift mode 0
                ZAPA                    ; zero Acc, P, OVC

;    perform MAC 4 times
                RPT    AR5              ; repeat next instruction AR5 times
              ||MAC    P,*XAR4++,*XAR7++

;    add final product
                ADDL   ACC, P << PM		;return value now in AL

;    return to parent function
                LRETR

        .end